%define module_name hostap
%define module_version 0.1.3
%define module_release alt1
%define module_source %module_name-driver-%module_version.tar.gz
%define module_source_dir %module_name-driver-%module_version

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: GPL
Group: Development/Kernel
BuildArch: noarch
Url: http://hostap.epitest.fi/
Source0: %module_source
Patch0: %module_name-0.1.0-makefile-fixes.patch

%description
%module_name modules sources for Linux kernel

%prep
%setup -c

pushd %module_source_dir
%patch0 -p1
popd

%install
%__mkdir_p %buildroot%_usrsrc/kernel/sources/
%__mv %module_source_dir kernel-source-%module_name-%module_version
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%changelog
* Mon Feb 09 2004 Alexei Takaseev <taf@altlinux.ru> 0.1.3-alt1
- 0.1.3

* Mon Nov 03 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.2-alt1
- 0.1.2

* Tue Oct 21 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.1-alt1
- 0.1.1

* Wed Oct 15 2003 Alexei Takaseev <taf@altlinux.ru> 0.1.0-alt1
- 0.1.0

* Fri Sep 12 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.4-alt1
- 0.0.4

* Fri Aug 08 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt5
- rename package

* Tue Jul 29 2003 Alexei Takaseev <taf@altlinux.ru> 0.0.3-alt4
- cleanup spec

* Fri Jul 11 2003 Alexei Takaseev <alexei@taf.ru> 0.0.3-alt3
- first buld with 2.4.21rel alt3

